org.apache.fop

## Class ResourceEventProducer.Provider

- java.lang.Object
- - org.apache.fop.ResourceEventProducer.Provider

- Enclosing interface:
    ResourceEventProducer

      public static final class ResourceEventProducer.Provider
      extends Object

  Provider class for the event producer.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResourceEventProducer` | `get(EventBroadcaster broadcaster)` Returns an event producer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### get

          public static ResourceEventProducer get(EventBroadcaster broadcaster)

      Returns an event producer.
      Parameters:
        `broadcaster` - the event broadcaster to use
      Returns:
        the requested event producer

Copyright © 2023 Apache Software Foundation. All rights reserved.